img-bmp(3tk)

NAME
img-bmp - Windows bitmap format (bmp)

SYNOPSIS
package require img::bmp ?2.1?

DESCRIPTION
package require img::bmp

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Windows bitmap format (bmp). More specifically img::bmp extends Tk's photo [https://www.tcl.tk/man/tcl9.0/TkCmd/photo.html] image type.

The name of the new format handler is bmp. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like image create photo ?name? ?options?

[1] Image data in bmp format (options -data and -file) is detected automatically.

[2] The format name bmp is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::bmp is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::bmp.

NOTES

[1] Chapter Image Metadata of the Img manual page describes the parameters of the resolution related options.

OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing. Available since version 2.0.

    If set to true, additional information about the read or written image is printed to stdout. Default is false.

-resolution xres ?yres?
    This option is supported for writing only. Available since version 2.0. An incompatible version of this option was introduced in version 1.4.1.

    Set the resolution values of the written image file. If yres is not specified, it is set to the value of xres.

    If option is not specified, the DPI and aspect values of the metadata dictionary are written. If no metadata values are available, no resolution values are written.

-xresolution xres
    This option is supported for writing only. Available since version 2.0.

    Set the horizontal resolution value of the written image file.

-yresolution yres
    This option is supported for writing only. Available since version 2.0.

    Set the vertical resolution value of the written image file.

SEE ALSO
img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

COPYRIGHT
Copyright (c) 1995-2025 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright (c) 2002-2025 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright (c) 2003-2025 Paul Obermeier <obermeier@users.sourceforge.net>